2005-10-04  Frank Warmerdam  <warmerdam@pobox.com>

	* Release 1.3.1.0

2005-09-30  Frank Warmerdam  <warmerdam@pobox.com>

	* Release 1.3.1.0a1

2005-03-13  Frank Warmerdam  <fwarmerdam@duke.maptools.org>

	* Released 1.2.6.0

2005-03-01  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/png/libpng: updated to 1.2.8.

2005-02-07  Frank Warmerdam  <warmerdam@pobox.com>

	* Setup CIA-CVS-IRC-Bot.

	* frmts/l1b/l1bdataset.cpp: Modified to return less GCPs, and to 
	work properlyi for negative lat and long values.

2004-09-25  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare for 1.2.3 release.

2004-08-11  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/vrt: added "virtual raw raster band" support.

	* frmts/vrt: Added "virtual warped dataset" support. 

	* alg: substantial changes to GDALWarpOptions, and transformations 
	serializable.  
	

2004-08-01  Andrey Kiselev  <dron@remotesensing.org>

	* frmts/gtiff/libtiff: Sincronized with the latest libtiff from CVS.

2004-07-04  Andrey Kiselev  <dron@remotesensing.org>
	
	* frmts/mrsid/mrsiddataset.cpp: Added support for JPEG2000 format
	via LizardTech MrSID DSDK version 4.0.x. MrSID driver now able to read
	both MrSID and JPEG2000 file formats.

2004-06-23  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare for 1.2.1 release.

2004-05-26  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/raw/landataset.cpp: Implemented new Erdas .LAN/.GIS support.

2004-04-23  Andrey Kiselev  <dron@remotesensing.org>
	
	* frmts/mrsid/mrsiddataset.cpp: Implemented support for LizardTech
	MrSID DSDK version 4.0.x. The whole driver significally rewritten.

2004-02-20  Frank Warmerdam  <warmerdam@pobox.com>

	* Const correctness improvements to OGRPoint methods as per
	bug 289.  This makes GDAL/OGR 1.2.0 C++ API incompatible with
	older versions. 

2004-02-19  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare 1.2.0 alpha release. 

2004-02-07  Andrey Kiselev  <dron@remotesensing.org>
	
	* ogr/{ogr_srs_api.h, ogr_spatialref.h, ogr_srs_usgs.cpp}: Implemented
	OGRSpatialReference::exportToUSGS() to export OGR spatial reference
	definition in form of parameters, suitable for USGS GCTP package.

2004-02-05  Andrey Kiselev  <dron@remotesensing.org>
	
	* ogr/{ogr_srs_api.h, ogr_spatialref.h, ogrspatialreference.cpp,
	ogr_srs_proj4.cpp}: Support for Hotine Oblique Mercator projection,
	specified by two points on centerline.

2004-02-01  Andrey Kiselev  <dron@remotesensing.org>
	
	* ogr/{ogr_srs_api.h, ogr_spatialref.h, ogr_srs_usgs.cpp}: Implemented
	OGRSpatialReference::importFromUSGS() to import USGS style coordinate
	system reference as used in GCTP package.

2003-10-22	Silke Reimer	<silke@intevation.de>

	* debian/changelog: Added remark about patched libtool to avoid linking
		with rpath

2003-10-22	Silke Reimer	<silke@intevation.de>

	* debian/*: Added debian directory for building a gdal debian package

2003-10-21	Silke Reimer	<silke@intevation.de>

	* ogr/ogr_utilites.dox, gcore/gdal_utilities.dox: Changed to fit better
	for creation of man pages
	* man/*: Added man pages for gdal and ogr binaries.

2003-09-09  Andrey Kiselev  <dron@remotesensing.org>
	
	* ogr/{ogr_srs_api.h, ogr_spatialref.h, ogr_srs_pci.cpp}: Implemented
	OGRSpatialReference::exportToPCI() to write PCI style coordinate
	system reference.

	* frmts/pcidsk/pcidskdataset.cpp: New read/write driver for PCI image
	database (PCIDSK).

2003-08-31  Andrey Kiselev  <dron@remotesensing.org>
	
	* ogr/{ogr_srs_api.h, ogr_spatialref.h, ogr_srs_pci.cpp}: Implemented
	OGRSpatialReference::importFromPCI() to read PCI style coordinate
	system reference.

2003-07-16  Simon Perkins  <s.perkins@lanl.gov>

	* Added FITS support to windows makefiles.
	
	* Added GDALFillraster to gdalbridge.{cpp,h} 

2003-06-27  Frank Warmerdam  <warmerdam@pobox.com>

	* Release 1.1.9 of GDAL/OGR.

	* core: renamed directory to gcore, various related changes.

2003-06-19  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/ecw/ecwdataset.cpp: Added coordinate system reading (but not
	writing) support.

2003-06-10  Andrey Kiselev  <dron@remotesensing.org>
	
	* frmts/hdf4/{hdf4dataset.h, hdf4dataset.cpp, hdf4imagedataset.cpp}:
	Added support for MODIS Level 3 products.

2003-05-30  Frank Warmerdam  <warmerdam@pobox.com>

	* OGRSpatialReference.SetStatePlane() arguments changed to include
	override units. 

2003-05-25  Andrey Kiselev  <dron@remotesensing.org>
	
	* frmts/mrsid/mrsiddataset.cpp: New driver for MrSID file format.
	Non-free MrSID decoding SDK from LizardTech required to compile this
	driver. Full support for georeferencing and metadata records.

2003-05-23  Simon Perkins  <s.perkins@lanl.gov>

	* core/gdaldataset.cpp: The default CreateCopy() implementation
	now copies metadata from source to target.

2003-05-21  Andrey Kiselev  <dron@remotesensing.org>
	
	* frmts/hdf4/{hdf4dataset.h, hdf4dataset.cpp, hdf4imagedataset.cpp}:
	MODIS Level 1B earth-view (EV) product now supported, including
	geolocation points extraction.

2003-05-05  Simon Perkins  <s.perkins@lanl.gov>

	* core/gdalrasterband.cpp: Added C++ Fill() method and
	corresponding C GDALFillRaster() method.

	* frmts/fits/fitsdataset.cpp: Removed dodgy "value type guessing"
	code from FITS metadata write routine.

2003-04-24  Frank Warmerdam  <warmerdam@pobox.com>

	* port/cpl_multiproc.cpp: Implement pthreads based mutex, and thread
	support.  Added configure option (--with-threads) in configure.

2003-04-22  Andrey Kiselev  <dron@remotesensing.org>
	
	* apps/gdalinfo.c: New switches: -nogcp and -nomd to suppress
	printing out GCPs list and metadata strings respectively.

2003-03-18  Frank Warmerdam  <warmerdam@pobox.com>

	* gdal/frmts/raw/rawdataset: Implemented FlushCache() method on 
	the RawRasterBand() that will use VSIFFlush() to sync things to disk.

	* gdal/core/gdal_priv.h: made GDALRasterBand::FlushCache() method
	virtual.  Added C/Python access to GDALDataset::FlushCache(). 

2003-03-05  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/swq, etc: Implemented JOIN support in the generic ExecuteSQL()
	processor. 

	* ogr/ogrsf_frmts/generic/ogr_miattrindc.cpp: 
	Implemented support for generic ogr attribute indexes and the ability
	to accelerate simple WHERE clauses using the attribute index.  Applied
	only to Shape driver so far. 

2003-02-26  Frank Warmerdam  <warmerdam@pobox.com>

	* configure/aclocal.m4: added --without-ld-shared configure switch
	to disable shared library support. 

2003-02-21  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/hfa/{hfaopen.cpp, hfatype.cpp, hfaband.cpp, hfa_p.h}:
	Added support for writing large (>4 GB) Erdas Imagine files.

2003-02-19  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/raw/effdataset.cpp: Removed. FAST driver now should work
	for most part of FAST datasets.

2003-02-18  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/raw/envidataset.cpp: Write support via Create() method
	added.

2003-02-15  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/pymod/samples/val_repl.py: Created directory for storing Python
	sample scripts along with the first sample.

2003-02-13  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/aigrid/giodataset.cpp: discarded Create() method, and 
	implemented CreateCopy() so that we could preserve georefencing in
	a way that doesn't corrupt the dataset.  

2003-02-03  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/raw/pnmdataset.cpp: Added support for reading
	and writing 16-bit images.

2003-01-31  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/jpeg2000/jpeg2000dataset.cpp: Added support for reading
	and writing GeoJP2 information into UUID box in JP2 files. Modified
	JasPer library required for this feature:
	ftp://ftp.remotesensing.org/gdal/jasper-1.600.0.uuid.tar.gz

2003-01-30  Frank Warmerdam  <warmerdam@pobox.com>

	* added --with-kakadu switch to configure, moved jp2kakdataset into
	it's own frmts/jp2kak directory.

2003-01-27  Frank Warmerdam  <warmerdam@pobox.com>

	* configure: don't include /usr/local in include and lib path by 
	default.  Added --with-local configure directive.

2003-01-07  Frank Warmerdam  <warmerdam@pobox.com>

	* ntf: added support for polygon assembly for boundary line products.

===============================================================================
	
2002-12-21  Frank Warmerdam  <warmerdam@pobox.com>

	* Release GDAL/OGR 1.1.8.0.

	* gdal/frmts/nitf: Implemented an NITF reader/writer.

2002-12-07  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/bmp/{bmpimagedataset.cpp, frmts_bmp.html}:
	New driver for Microsoft Windows Device Independent Bitmaps.
	Both Create() and CreateCopy() functions implemented, support
	for reading and writing worldfiles.

2002-11-30  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/gtiff: Added support for writing generic metadata. 
	Added support for updating metadata and projections of existing files.
	Added improvements to GeoTIFF info writing including writing a
	citation, ellipsoid info, and fixing some bugs.  Improved GeoTIFF
	reading to set authorities in WKT on various things.

2002-11-23  Frank Warmerdam  <warmerdam@pobox.com>

	* added DMD_CREATIONDATATYPES metadata for all drivers with create
	support.

2002-11-18  Frank Warmerdam  <warmerdam@pobox.com>

	* gdal/ogr/ogrsf_frmts/ntf: Implemented Meridian2 support as per

	http://bugzilla.remotesensing.org/show_bug.cgi?id=233

2002-11-12  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/hdf4/hdf4imagedataset.cpp:
	Create() function added to NCSA HDF4 driver.

2002-11-07  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/hdf4/{hdf4dataset.cpp, hdf4imagedataset.cpp,
	* hdf4dataset.h, frmts_hdf4.html}:
	Writing support for NCSA HDF4 datasets via CreateCopy() function.

2002-11-06  Frank Warmerdam  <warmerdam@pobox.com>

	* gdal/apps/gdal_translate.cpp: added -a_srs option.

2002-10-30  Frank Warmerdam  <warmerdam@pobox.com>

	* gdal/frmts/aigrid: Fixed 0xFF tile type, added robustness fixes.

2002-09-26  Frank Warmerdam  <warmerdam@pobox.com>

	* lots of work incorporating a C API for OGR and partial Python
	bindings for them.  See ogr/ogr_api.h.

2002-09-18  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/jpeg2000/{jpeg2000dataset.cpp, GNUmakefile, makefile.vc}:
	New driver for JPEG-2000 format. You need JasPer software to work.

2002-09-11  Frank Warmerdam  <warmerdam@pobox.com>

	* Fixed default CreateCopy() method, and band copying stuff in
	gdal_translate to copy band descriptions.  Added GDALSetDescription()
	C function, and corresponding python method.

	* added support for band descriptions in pci .aux format.

2002-09-04  Frank Warmerdam  <warmerdam@pobox.com>

	* core/gdaldrivermanager.cpp: added GDALDestroyDriverManager().
	Modified all drivers to no longer keep static driver pointers.

2002-07-16  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/fast/{fastdataset.cpp, GNUmakefile, makefile.vc}:
	New read only driver for EOSAT FAST format. Currently works for
	Landsat TM only.

2002-08-10  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.in: fixed bug with libjpeg test reported by 
	George Planansky.

2002-08-06  Frank Warmerdam  <warmerdam@pobox.com>

	* apps/gdal_translate.c: added the -projwin flag at the request
	of Matt Wilkie.

2002-07-23  Frank Warmerdam  <warmerdam@pobox.com>

	* added configure, and make support for ECW on Unix (currently
	only available on Solaris and MacOS X).  Not tested for MacOS X - 
	likely needs for for that platform.

2002-07-16  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/hdf4/hdf4dataset.cpp, hdf4imagedataset.cpp,
	* hdf4dataset.h, GNUmakefile, makefile.vc, frmts_hdf4.html:
	New read only driver for NCSA HDF4 datasets.

2002-07-02  Simon Perkins  <s.perkins@lanl.gov>

	* frmts/fits/fitsdataset.cpp: Backpedalling... Special creation
	options for b-scaled FITS files eliminated to reduce weirdness.

2002-07-01  Simon Perkins  <s.perkins@lanl.gov>

	* frmts/fits/fitsdataset.cpp: Modified creation options for FITS
	driver and handling of "b-scaled" files. See docs for details.

2002-06-12  Frank Warmerdam  <warmerdam@pobox.com>

	* Converted to use Description and metadata for driver information.
	Added mime, extension and options related driver metadata.

2002-06-11  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/aaigrid/aaigriddataset.cpp: Write support implemented
	for Arc/Info ASCII Grid Format.

2002-05-08  Andrey Kiselev  <dron@remotesensing.org>
	
	* /gdal/frmts/l1b/l1bdataset.cpp, GNUmakefile, makefile.vc: New driver
	(read only) for the NOAA Polar Orbiter Level 1b Dataset

2002-04-20  Andrey Kiselev  <dron@remotesensing.org>

	* /gdal/frmts/png/pngdataset.cpp: Added support for
	GDALWriteWolrldFile(). New option WORLDFILE=YES

2002-04-19  Frank Warmerdam  <warmerdam@pobox.com>

	* gdal/ogr/swq.{c,h}: Added support for [NOT] IN, [NOT] LIKE and IS 
	[NOT] NULL predicates in WHERE clauses.

	* gdal/frmts/vrt/vrtdataset.cpp: added CreateCopy() implementation.

===============================================================================
	
2002-04-16  Frank Warmerdam  <warmerdam@pobox.com>

	* Release GDAL 1.1.7.

	* gdal/ogr/ogrsf_frmts/shape/shape2ogr.cpp: ensure shapes are written
	with correct ring winding.

	* gdal/apps/{gdalinfo,gdal_translate}.c: Added --version support.

	* gdal/core/gdal_misc.cpp: Added GDALVersionInfo().

	* gdal/html/format_various.html: added XPM support.

2002-04-15  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogrsf_frmts/sdts/ogrsdtsdatasource.cpp: delete SDTSTransfer
	in destructor.

2002-04-12  Frank Warmerdam  <warmerdam@pobox.com>

	* gdal/frmts/xpm: added XPM read/write support.

2002-04-08  Frank Warmerdam  <warmerdam@pobox.com>

	* gdal/frmts/envisat/envisatdataset.cpp: Added hook for fetching
	dataset records using metadata api with alternative domains ... much
	like was done for ceos.

2002-04-03  Frank Warmerdam  <warmerdam@pobox.com>

	* gdal/frmts/ceos2/sar_ceosdataset.cpp: added special GetMetadata()
	access to raw record information for Ahmed.

	* gdal/frmts/gtiff/geotiff.cpp: Remove dependence on tiffiop.h by
	adding IsBlockAvailable() method which uses TIFFGetField() to access
	the strip/tile byte counts.

	* gdal/frmts/gtiff/libgeotiff: Upgraded from libgeotiff CSV.

	* gdal/frmts/gtiff/libtiff: Upgraded from libtiff CVS.

2002-03-27  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogrsf_frmts/dgn/ogrdgnlayer.cpp: added GetFeature() 
	implementation for random fetches.

	* ogr/ogrsf_frmts/generic/ogrlayer.cpp: Added working default
	implementation of GetFeature(fid) method.

	* ogr/ogrtindex.cpp: New program for creating MapServer compatible
	index files for OGR data sources.

	* ogr/ogrsf_frmts/shape: Changes to support .dbf files without .shp
	files, and to support creating a .shp file without an extra directory.

2002-03-25  Frank Warmerdam  <warmerdam@pobox.com>

	* gdalinfo.c: modified to only report min/max values if they were
	successfully fetched.  

	http://bugzilla.remotesensing.org/show_bug.cgi?id=114

2002-03-01  Frank Warmerdam  <warmerdam@pobox.com>

	* memdataset: retain nodata values.

	* GDALRasterBand: added the GetBand() method.

2002-02-07  Frank Warmerdam  <warmerdam@pobox.com>

	* apps/gdal_translate.c: added -scale commandline option.

	* frmts/raw/pauxdataset.cpp: Bug reported by Max fixed.  Only read
	or write the exactly number of bytes required to avoid slight reads
	past end of file resulting in error and data loss.

2002-02-06  Frank Warmerdam  <warmerdam@pobox.com>

	* ntf_estlayers.cpp: TEXT_CODE now 4 wide, not 3.

	* OLEDB Provider: Fixed serious bug resulting in the end of rowset
	not being returned properly in many cases. 

===============================================================================
	
2002-02-04  Frank Warmerdam  <warmerdam@pobox.com>

	* Release GDAL 1.1.6.

2002-01-28  Frank Warmerdam  <warmerdam@pobox.com>

	* dted: added metadata read and write

2002-01-25  Frank Warmerdam  <warmerdam@pobox.com>

	* configure: add support for linking against Xerces library.

2002-01-21  Simon Perkins  <s.perkins@lanl.gov>

	* frmts/fits/fitsdataset.cpp: Silently truncate when writing
	values to FITS files outside valid range.

2002-01-16  Frank Warmerdam  <warmerdam@pobox.com>

	* port/cpl_config.h.in, port/cpl_port.h, aclocal.m4, configure:
	add support for predefining _LARGEFILE64_SOURCE when necessary.

2002-01-12  Frank Warmerdam  <warmerdam@pobox.com>

	* core/gdal.h: added GDAL_VERSION_NUM, GDAL_RELEASE_DATE and
	GDAL_RELEASE_NAME macros.

2001-12-15  Frank Warmerdam  <warmerdam@pobox.com>

	* core/gdaldriver.cpp: try to ensure that poDriver gets set on 
	datasets after creation.

	* ogr/ogrsf_frmts/s57/*: implement fast feature counting and fetching
	of extents boxes.

2001-12-14  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/aigrid/gridlib.c: fixed handling of RMin's sign for short
	RMin values.

2001-12-12  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/raw/*: added support for large files in rawdataset.h, and
	some of the derived formats.

2001-12-11  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/jpeg/jpgdataset.cpp: for green and blue into block cache
	when reading red. 

2001-12-09  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/bsb: added bsb format.

2001-12-06  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/fits/fitsdataset.cpp: applied substantial updates from Diana.

	* frmts/gtiff/geotiff.cpp: fixed bug in error/warning reporting when
	a filename is the "module" and it has % directives in it.

	* ogr/ogr_srs_xml.cpp: added preliminary xml srs support.

2001-11-29  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/sdts/sdtsrasterreader.cpp: Check for CPL errors in order
	to avoid infinite recursion.

	* Fixed bug with the block sampling rate being too low to satisfy 
	large sample count values.  Fixed bug with tiled images including 
	some uninitialized or zero data in the sample set on partial edge 
	tiles.

2001-11-27  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/usgsdem: Implemented USGS DEM format based on VTP code.

2001-11-18  Frank Warmerdam  <warmerdam@pobox.com>

	* port/cpl_minixml.cpp: added new simple XML parser.

	* frmts/vrt: new "virtual" dataset format.

	* bridge/*: upgraded bridge_test, and added various entry points.

	* removed all vestiages of GDALProjDef.

2001-11-06  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/aaigrid/aaigriddataset.cpp: fixed a few bugs as pointed
	out by Markus.

2001-10-19  Frank Warmerdam  <warmerdam@pobox.com>

	* pymod/gdalnumeric.py: added CopyDatasetInfo().

	* pymod/gdal.i: added python interfaces to SetGCPs(), SetMetadata(). 

	* core/gdaldataset.cpp: added SetGCPs() method.

2001-10-17  Frank Warmerdam  <warmerdam@pobox.com>

	* core/gdaldataset.cpp: added SetGCPs() support for GDALDataset.

2001-10-12  Frank Warmerdam  <warmerdam@pobox.com>

	* geotiff support: modified configure to only use system libtiff
	if tiffiop.h is available.  If using internal libtiff, also use
	internal libgeotiff.  Modified Makefiles in frmts/gtiff and below
	to only include internal libtiff and libgeotiff directories in include
	path if they are supposed to be used.  Modified geotiff.cpp, 
	gt_overview.cpp and gt_wkt_srs.cpp to avoid inlusion of libgeotiff
	cpl_serv.h to avoid conflicts.

2001-10-10  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/*: Added "morph" functions for ESRI WKT format to map
	back and forth between ESRI representation and the standard one (ours).

	* frmts/gtiff/geotiff.cpp: Substantial restructuring to support 
	pixel interleaved output products.

2001-10-02  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/sfcom_oledb/SFDS.h: added properties required by MapGuide.

2001-09-28  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/png/pngdataset.cpp: fixed crash with colormapped png files.

2001-09-27  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/gtiff/geotiff.cpp: fixed bug 63 (writing geotiff files 
	sometimes produces corrupt file) by introducing TIFFRewriteDirectory().

	* ogr/ogrsf_frmts/shape: fixed 3d support when writing shapefiles.

	* ogr/ogrsf_frmts/dgn: added partial 3D support.

	* ogr/ogr2ogr.cpp: added untested -where and -spat support.

2001-09-25  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/gtiff/geotiff.cpp: added GDALReadTabFile() provided by
	Petri J. Riipinen.  

2001-09-24  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/gtiff/libtiff: upgraded to approximately libtiff 3.5.7.

	* frmts/envisat/envisatdataset.cpp: added MDS2 (as band 2) and metadata
	support (all values from the MPH and SPH).

	* frmts/gtiff/libtiff/tif_vsi.c: fixed implementation of SizeProc. 

2001-09-21  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogr_geometry.h: added transform() and transformTo() methods.

	* ogr/ogr_spatialref.h: added SetFromUserInput() method.

	* ogr/ogr2ogr.cpp: added -t_srs and -a_srs options.

2001-09-19  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/raw/doq2dataset.cpp: fixes for file submitted by Eric Miller,
	and also overhauled to return all non-structural fields as metadata.

2001-09-17  Frank Warmerdam  <warmerdam@pobox.com>

	* aclocal.m4: added printf() call to -shared test to ensure cygwin
	doesn't falsely succeed.

	* frmts/gdalallregister.cpp: register doq2 format ... it seems to 
	have been omitted.

2001-09-15  Frank Warmerdam  <warmerdam@pobox.com>

	* configure.in: modified --with-libz handling as per bug 75, to be
	more standard.

	http://bugzilla.remotesensing.org/show_bug.cgi?id=76

===============================================================================
	
2001-09-15  Frank Warmerdam  <warmerdam@pobox.com>

	* Release GDAL 1.1.5.

	* Modify include order in most GNUmakefiles to ensure that 
	include paths for system stuff (like /usr/local/include) don't take
	priority over application include files in GDAL tree.  Especially
	important when there is an old GDAL already installed.

	* ogr/ogrsf_frmts/mitab: Upgraded to include fast spatial query 
	support, and attribute query support.

2001-09-06  Frank Warmerdam  <warmerdam@pobox.com>

	* bridge: upgrade bridge error reporting, add GCP functions.

2001-09-04  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogrsf_frmts/shape: added support for deferred determination
	of output file geometry type (from first feature), and added better
	handling of NULL attribute fields when reading and writing. 

2001-08-31  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/ceos2/sar_ceosdataset.cpp: added support for the SAR Toolbox
	(from Alaska SAR Facility) naming convension for CEOS files. 

2001-08-30  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/ceos2/sar_ceosdataset.cpp: added four corner support for ERS
	products with map projection record.

2001-08-29  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogrsf_frmts/ntf: add support for GType 5 - add ntfstroke.cpp.

	* frmts/GNUmakefile: fix so that failure of a submake will
	terminate the frmts level make.

2001-08-23  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogr_fromepsg.cpp: fixed serious bug translating LCC projections
	from EPSG to WKT. 

2001-08-22  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/png/pngdataset.cpp: added support for reading and
	writing tRNS (transparency) information.  Added support for writing
	paletted images.

	* frmts/gif/gifdataset.cpp: added support for reading transparency
	values.

	* frmts/jpeg, frmts/png, frmts/gif: added support for .wld files. 

	* frmts/ceos2/sar_ceosdataset.cpp: don't try to extract gcps
	if there is no prefix data.

	* frmts/ceos2/ceosrecipe.c: corrected prefix data handling
	logic.  Accept 0 bytes of prefix as value ... often the case
	in ERS datasets. 

2001-08-15  Frank Warmerdam  <warmerdam@pobox.com>

	* core/gdal_misc.cpp: Return magnitude values for samples from
	complex valued bands.

2001-08-13  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogrspatialreference.cpp: improved IsSame() test.

2001-07-18  Frank Warmerdam  <warmerdam@pobox.com>

	* aclocal.m4: modified to identify -all for IRIX. 

2001-07-17  Frank Warmerdam  <warmerdam@pobox.com>

	* png: ensure we have png.h before accepting system png.  Moved 
	internal libpng code into a subdirectory to avoid include file
	confusion.

	* configure: added support for detecting PostgreSQL.  

	* GDALmake.opt, app/GNUmakefile: Added support for building on 
	platforms without shared library support (ie. Cygwin).

2001-07-12  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/raw/pauxdataset.cpp: Added limited support for reading gcps
	and projections.

2001-07-09  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/sdts/sdtsdataset.cpp: upgraded to use WKT for projections.

2001-06-28  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/geotiff/geotiff.cpp: Fixed bug with RGBA image access on
	big endian systems.

2001-06-22  Frank Warmerdam  <warmerdam@pobox.com>

	* core/gdaldefaultoverviews.c: fixed several more problems with
	refreshing existing overviews.

	* core/gdalrasterblock.cpp: added support for GDAL_CACHEMAX
	environment variable.

	* core/gdaladefaultoverviews.c: Fixed crash with refreshing overviews
	during build.

2001-06-21  Frank Warmerdam  <warmerdam@pobox.com>

	* Added core/gdal_drivertut.dox, documentation on writing drivers.

2001-06-20  Frank Warmerdam  <warmerdam@pobox.com>

	* apps/GNUmakefile: fixed some bugs in generating apps/gdal-config
	thanks to Phillip Dibner.

	* core/gdal_priv.h,gdaldefaultoverviews.cpp: GDALDefaultOverviews now
	allows setting exact name of .ovr file, and remembers name to use
	when building overviews.

	* frmts/raw/hkvdataset.cpp: reimplement overviews in TIFF file.

	* ogr/ogrsf_frmts/pg: Implement PostGIS support.

2001-06-01  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/jpg/jpgdataset.cpp: altered magic number testing to work
	with IMG_0519.JPG from eCognition folks. 

2001-05-31  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/hfa/hfaband.cpp: added uncompress support for reduce precision,
	non-run length encoded data.

	* frmts/geotiff/geotiff.cpp: Improved magic number testing.

2001-05-15  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/raw/fujibasdataset.cpp: added new Fuji BAS format.

	* frmts/raw/pauxdataset.cpp: added support for opening by selecting
	the .aux file.

2001-05-07  Frank Warmerdam  <warmerdam@pobox.com>

	* pymod/gdal.py, gdal.i: added GDALComputeRasterMinMax() bindings.

2001-05-01  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/gtiff/geotiff.cpp: added GTiffBitmapBand support.

	* frmts/jpeg/jpgdataset.cpp: added world file support.

	* frmts/gtiff/geotiff.cpp: Use GDALReadWorldFile(), support .wld
	and .tifw as well as .tfw on read.

	* core/gdal_misc.cpp: added GDALReadWorldFile()

2001-04-18  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/ogdi/ogdidataset.cpp: fixed rastersize calculation.

2001-04-17  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/ogdi/*, ogr/ogrsf_frmts/ogdi/*: Modified to utilize layer
	capabilities to get list of available layers.  Restructured OGDI
	discovery mechanisms in configure script (more like other libraries).
	Added complete Image support.  Capture text from text features.

	* frmts/gtiff/geotiff.cpp: fixed acces to rw mode separate planes
	RGB images.

2001-04-05  Frank Warmerdam  <warmerdam@pobox.com>

	* updated mitab code from the mitab master.

2001-03-28  Frank Warmerdam  <warmerdam@pobox.com>

	* configure: changed to check for TIFFWriteCheck instead of
	TIFFReadRGBATile for libtiff check.  Ensures we get a sufficiently
	recent libtiff.

2001-03-24  Frank Warmerdam  <warmerdam@pobox.com>

	* configure: Make --with-ogr default, and user must indicate 
	--without-ogr.

2001-03-22  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/raw/ehdrdataset.cpp: added support for files generated
	by Arc/Info GRID which have a number of quirks, but can include
	nodata values, and projections (in .prj file). 

	* frmts/raw/rawdataset: added support for nodata values.

2001-03-21  Frank Warmerdam  <warmerdam@pobox.com>

	* GDALmake.opt.in: added port/*.o to GDAL_OBJ so that we don't
	depend on the shared library linker using cpl.a the way we expect.
	This should make things work cleaner on SGI.

2001-03-20  Frank Warmerdam  <warmerdam@pobox.com>

	* apps/gdal_translate.c: fixes from Mark Salazar.
	Added '%' for -outsize switch, fixed completion reporting, fixed
	adGeoTransform[] calculation.

2001-03-18  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogrsf_frmts/dgn: removed requirement for .dgn extention.

2001-03-16  Frank Warmerdam  <warmerdam@pobox.com>

	* OGR Shapefile driver: added support for reading and writing 
	.prj files.

	* ogr/ogr_srs_esri.cpp: added support for esri .prj files with
	WKT in them.  We don't massage datum names yet though.

2001-03-14  Frank Warmerdam  <warmerdam@pobox.com>

	* Improved ld -shared / CXX -shared testing to preserve existing
	LD_LIBRARY_PATH incase it is needed for something like the C++
	support shared library.

	* Upgraded to use install-sh so we will have reliable install
	semantics.

===============================================================================
	
2001-03-14  Frank Warmerdam  <warmerdam@pobox.com>

	* Prepare 1.1.4 release.

	* Added dist_docs directory with distribution specific stuff.

	* Added mk_win_bin_dist.sh to build windows binary distribution.

2001-03-13  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/gtiff/geotiff.cpp: Don't try to handle all MINISWHITE
	images through RGBA interface.  Check with TIFFRGBAImageOK() before
	using RGBA interface.

2001-03-12  Frank Warmerdam  <warmerdam@pobox.com>

	* pymod/numpydataset.cpp captures and holds projection and
	geotransform.

	* Added frmts/aaigrid (ASCII Arc/Info Grid read support) at the
	request of Ben Discoe. 

2001-03-11  Simon Perkins  <simes@genie.lanl.gov>

	* Added FITS support for "byte scaled" files.

2001-03-08  Simon Perkins  <simes@genie.lanl.gov>

	* Added support for reading and	writing metadata to FITS files.
	Upon opening a FITS file, all non trivial headers are read from
	the file and stored in the metadata store. Upon closing the FITS
	file, any metadata associated with a name that is 8 characters or
	less long, is written to the FITS file. The driver attempts to
	guess the type of the metadata (double, long, logical or string)
	and calls the appropriate fits update functions.

2001-03-06  Simon Perkins  <simes@genie.lanl.gov>

	* frmts/fits/fitsdataset.cpp: Fixed bug in situation where we
	attempt to read from a newly created band.

2001-03-05  Simon Perkins  <simes@genie.lanl.gov>

	* Added FITS format support and documentation.

2001-03-01  Frank Warmerdam  <warmerdam@pobox.com>

	* Added --ogr-enabled, --formats and --version options for gdal-config.
	Also, added VERSION file in gdal root directory, and update of it
	by mkgdaldist.sh.

2001-02-28  Frank Warmerdam  <warmerdam@pobox.com>

	* Fixed up handling of pyexecdir.

2001-02-24  Frank Warmerdam  <warmerdam@pobox.com>

	* Added Envisat format support.

2001-02-19  Frank Warmerdam  <warmerdam@pobox.com>

	* aclocal.m4: fixed mixup between pyexecdir and pythonexecdir, thanks
	to Bernhard Reiter.

	* apps/gdal_translate.c: fixed georeferenced calculation for
	-srcwin subwindowing.

2001-02-15  Frank Warmerdam  <warmerdam@pobox.com>

	* port/cpl_error.cpp: Fixed initialization of fpLog.  Log was
	being reset to stderr on second call to CPLDefaultErrorHandler.

2001-02-08  Frank Warmerdam  <warmerdam@pobox.com>

	* frmts/gif/{e,d}gif_lib.c: Fixed to use binary mode if O_BINARY
	is defined rather than based on __MSDOS__.

2001-02-06  Frank Warmerdam  <warmerdam@pobox.com>

	* Export various OGR classes, and entry points from DLL.

	* Fixed numpydataset.cpp to use sscanf() to parse pointer.

2001-02-05  Frank Warmerdam  <warmerdam@pobox.com>

	* Added support for R*4 (Float32) images in SAR_CEOS reader.

2001-01-30  Frank Warmerdam  <warmerdam@pobox.com>

	* core/overview.cpp: Added resampling type of AVERAGE_MP to do
	magnitude preserving averaging.  New functions include
	GDALComputeBandStats() to get mean and standard deviation.

2001-01-26  Frank Warmerdam  <warmerdam@pobox.com>

	* ogr/ogr_srs_esri.cpp: added Transverse Mercator .prj support.

2001-01-24  Frank Warmerdam  <warmerdam@pobox.com>

	* Added support for files with scanlines split across records in the
	ceos2 (SAR_CEOS) reader.

2001-01-22  Frank Warmerdam  <warmerdam@pobox.com>

	* Added alg directory, and GDALComputeMedianCutPCT(), and
	GDALDitherRGB2PCT() functions.

===============================================================================
	
2001-01-22  Frank Warmerdam  <warmerdam@pobox.com>

	* Released gdal 1.1.3 source distributions.

2001-01-20  Frank Warmerdam  <warmerdam@pobox.com>

	* Improved python configure logic so it skips python if there is
	no python makefile.

2001-01-17  Frank Warmerdam  <warmerdam@pobox.com>

	* Added progressive jpeg support (a couple days ago).

	* Added support for processing CODELIST records in NTF reader (as
	used for BL2000 datasets).

2001-01-10  Frank Warmerdam  <warmerdam@pobox.com>

	* Patched GDALDataset::FlushCache() to recover gracefully if papoBands
	  doesn't exist yet matching nBands.

2001-01-09  Frank Warmerdam  <warmerdam@pobox.com>

	* Added GIF driver based on libungif.

2001-01-03  Frank Warmerdam  <warmerdam@pobox.com>

	* Fixed some serious bugs with clean target on windows makefile.
	Now links gdal11.dll with /debug.

	* Erdas Imagine now uses large file API to support 2-4GB files on
	Windows.

	* libtiff now uses large file api (tif_vsi.c) on windows to handle
	2-4GB tiff files. 

	* Added large file API in port/cpl_vsi.h, and implemented for
	Win32 in port/cpl_vsil_win32.c

2000-12-15  Frank Warmerdam  <warmerdam@pobox.com>

	* Added read support for .tfw files, and read/write support
	for GEOTRANSMATRIX in GeoTIFF. 

	* Fixed so that non-geographic/projected model types result in
	an empty coordinate system string, not WGS84, as per bug report
	from Eric Miller and aerial.tif. 

2000-12-14  Frank Warmerdam  <warmerdam@pobox.com>

	* Added HKVDataset::Delete() implementation, made accessable from
	python.

2000-12-13  Frank Warmerdam  <warmerdam@pobox.com>

	* Various improvements to build.  
	ogr/ogrsf_frmts/sdts now only updates the sdts and iso libraries in 
	ogrsf_frmts.a if they are out of date. 
	frmts/gtiff just installs object code from libtiff and libgeotiff
	directories instead of .a files, to avoid the $(wildcard .../*.a) 
	issue.

2000-12-05  Frank Warmerdam  <warmerdam@pobox.com>

	* Added better error testing, especially for CE_Failure in 
	parts of OGR to avoid being defeated by a mere warning.

	* Added Cassini support in gdal/ogr/ogr_srs_proj4.cpp

	* Check for png_set_IHDR in configure so avoid using old png libraries.

	* Added support for all readable projections in write code for
	GeoTIFF (gdal/frmts/gtiff/gt_wkt_srs.cpp).

	* Modified ogr_srs_proj4.cpp to use +R_A for VanDerGrinten and
	Miller Cylindrical.

2000-11-29  Frank Warmerdam  <warmerdam@pobox.com>

	* Added limited SetGeoTransform() support for HKV Blob format.

	* Added "pretty printing" of coordinate system in gdalinfo.c

	* Added gdal_merge.py in pymod directory.

	* Extended shapefile OGR driver to support MULTIPOLYGON objects.

2000-11-27  Frank Warmerdam  <warmerdam@pobox.com>

	* Added Japanese DEM format (frmts/jdem).

2000-11-27  Bernhard Reiter <bernhard@intevation.de>

	* Enable the use of the --exec-prefix and --libdir etc configure 
	options and should give the same behaviour.

2000-11-24  Frank Warmerdam  <warmerdam@pobox.com>

	* Added support for using pre-installed libtiff.  Controlled via
	--with-libtiff configure switch.

2000-11-22  Frank Warmerdam  <warmerdam@pobox.com>

	* Added CEOS_DM_* metadata items for CEOS SAR format at Peter
	Farris-Manning's request in frmts/ceos2/sar_ceosdataset.cpp.

	* Fixed bug in complex image overview generation (core/overview.cpp).
	The complex overview images were corrupt.

2000-11-16  Frank Warmerdam  <warmerda@cs46980-c>

	* Moved GXF driver down in driver order (in GDALAllRegister()).
	Improved test for GXFness in gxfdataset.cpp a bit.

2000-10-30  Frank Warmerdam  <warmerda@cs46980-c>

	* Added error related entry points to gdal.i/gdal.py for python.

	* Fixed ehdrdataset.cpp to report error if the user selects the
	.hdr file instead of the .bil file.  

	* Fixed bug with GetRasterColorTable in gdal.py, and 
	GetRasterNoDataValue in gdal.i.

2000-10-25  Frank Warmerdam  <warmerda@cs46980-c>

	* Issued an interim 1.1.2 release for folks interested in 
	testing Imagine write support.

2000-10-17  Frank Warmerdam  <warmerda@cs46980-c>

	* Added PostgreSQL vector driver under ogr/ogrsf_frmts/pg.

2000-10-13  Frank Warmerdam  <warmerda@cs46980-c>

	* GTiff: improved support for writing GCS codes, and hardcode 
	common datums
	
	* Fixed EquidistantConic support for GeoTIFF. 

	* Fixed up cygnus support in port/cpl_port.h.

2000-10-12  Frank Warmerdam  <warmerda@cs46980-c>

	* gdal/frmts/hfa: Implemented write support for Imagine files.

2000-10-06  Frank Warmerdam  <warmerda@cs46980-c>

	* Upgraded PAuxDataset to support nodata values.

	* Added SetNoDataValue(), SetCategoryNames() and some C/Python entry 
	points.

	* Default setting of GDALRasterBand->eAccess based on the dataset
	in SetBand().

2000-09-28  Frank Warmerdam  <warmerda@cs46980-c>

	* Updated to current MITAB source from CVS. 

2000-09-27  Frank Warmerdam  <warmerda@cs46980-c>

	* Added colortable support for grass driver. 

	* Fixed libtiff build to include ZIP/Deflate support.

	* Added configure time support for -lz or the internal implementation.

2000-09-25  Frank Warmerdam  <warmerda@cs46980-c>

	* Release 1.1.1 issued.

